Subject: Re: bug#24897: 24.5; doc for `M' in Dired

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Oct 2019 09:46:21 +0300

> Date: Sun, 13 Oct 2019 23:21:51 +0000 (UTC)
> From: Drew Adams <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> I suggest something like this: Instead of
> "symbolic modes like `g+w'" we say
> "symbolic modes like `a+w' and `a-w'".
> 
> `a+w' and `a-w'o are likely the most useful for users on
> MS Windows.  And I think it helps to show both + and -.

On Windows there's no difference between a+w, g+w, u+w, and o+w.  You
will just confuse people by giving them too many examples.  They
should read the full docs instead (if they want to use this facility,
which on Windows I find not very probable).

> > +Note that on MS-Windows only the `w' (write) bit is meaningful:
> > +resetting it makes the file read-only.  Changing any other bit
> > +has no effect on MS-Windows
> 
> I'm not sure "resetting" is as clear as this can be.

It's clear enough IMNSHO.  Let's not split hair here, shall we?

> How about something like this?
> 
>   Note that on MS-Windows only the `w' (write) bit is
>   meaningful.  Adding it (`a+w') makes a file writable.
>   Removing it (`a-w') makes a file read-only.  Changing
>   any other bit has no effect on MS-Windows.

See above: using a- or a+ only muddies the water.

> (I also think, but Eli will correct me - and this might
> depend on one's setup, that the use of `g',`u', and `o'
> is useless on MS Windows.  At least in my case there's
> no distinction between `g', `u', `o', and `a'.

"No distinction" is correct, "useless" in confusingly misleading.

I think the doc string is fine as proposed in the last message, we
should stop bikeshedding about this minor issue.